python-gevent_1.2.2-2_i386.deb


Advertisement

Description

python-gevent - gevent is a coroutine-based Python networking library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-gevent_1.2.2-2_i386.deb
Package name python-gevent
Package version 1.2.2
Package release 2
Package architecture i386
Package type deb
Category universe/python
Homepage http://www.gevent.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 341.20 KB
Installed size 1.44 MB
gevent uses greenlet to provide a high-level synchronous API on top of
libevent event loop.

Alternatives

Package Version Architecture Repository
python-gevent_1.2.2-2_amd64.deb 1.2.2 amd64 Ubuntu Universe
python-gevent - - -

Requires

Name Value
libc6 >= 2.17
python << 2.8
python >= 2.7~
python-codespeak-lib << 1.0
python-greenlet >= 0.3.2
python-greenlet -
python:any << 2.8
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-gevent -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-gevent_1.2.2-2_i386.deb
Source Package python-gevent

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gevent deb package:
    # sudo apt-get install python-gevent

Files

Path
/usr/lib/python2.7/dist-packages/gevent/__init__.py
/usr/lib/python2.7/dist-packages/gevent/_compat.py
/usr/lib/python2.7/dist-packages/gevent/_fileobjectcommon.py
/usr/lib/python2.7/dist-packages/gevent/_fileobjectposix.py
/usr/lib/python2.7/dist-packages/gevent/_semaphore.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/gevent/_semaphore.py
/usr/lib/python2.7/dist-packages/gevent/_socket2.py
/usr/lib/python2.7/dist-packages/gevent/_socketcommon.py
/usr/lib/python2.7/dist-packages/gevent/_ssl2.py
/usr/lib/python2.7/dist-packages/gevent/_sslgte279.py
/usr/lib/python2.7/dist-packages/gevent/_tblib.py
/usr/lib/python2.7/dist-packages/gevent/_threading.py
/usr/lib/python2.7/dist-packages/gevent/_util.py
/usr/lib/python2.7/dist-packages/gevent/_util_py2.py
/usr/lib/python2.7/dist-packages/gevent/ares.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/gevent/backdoor.py
/usr/lib/python2.7/dist-packages/gevent/baseserver.py
/usr/lib/python2.7/dist-packages/gevent/builtins.py
/usr/lib/python2.7/dist-packages/gevent/core.py
/usr/lib/python2.7/dist-packages/gevent/event.py
/usr/lib/python2.7/dist-packages/gevent/fileobject.py
/usr/lib/python2.7/dist-packages/gevent/greenlet.py
/usr/lib/python2.7/dist-packages/gevent/hub.py
/usr/lib/python2.7/dist-packages/gevent/local.py
/usr/lib/python2.7/dist-packages/gevent/lock.py
/usr/lib/python2.7/dist-packages/gevent/monkey.py
/usr/lib/python2.7/dist-packages/gevent/os.py
/usr/lib/python2.7/dist-packages/gevent/pool.py
/usr/lib/python2.7/dist-packages/gevent/pywsgi.py
/usr/lib/python2.7/dist-packages/gevent/queue.py
/usr/lib/python2.7/dist-packages/gevent/resolver_ares.py
/usr/lib/python2.7/dist-packages/gevent/resolver_thread.py
/usr/lib/python2.7/dist-packages/gevent/select.py
/usr/lib/python2.7/dist-packages/gevent/server.py
/usr/lib/python2.7/dist-packages/gevent/signal.py
/usr/lib/python2.7/dist-packages/gevent/socket.py
/usr/lib/python2.7/dist-packages/gevent/ssl.py
/usr/lib/python2.7/dist-packages/gevent/subprocess.py
/usr/lib/python2.7/dist-packages/gevent/thread.py
/usr/lib/python2.7/dist-packages/gevent/threading.py
/usr/lib/python2.7/dist-packages/gevent/threadpool.py
/usr/lib/python2.7/dist-packages/gevent/timeout.py
/usr/lib/python2.7/dist-packages/gevent/util.py
/usr/lib/python2.7/dist-packages/gevent/win32util.py
/usr/lib/python2.7/dist-packages/gevent/wsgi.py
/usr/lib/python2.7/dist-packages/gevent-1.2.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/gevent-1.2.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/gevent-1.2.2.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/gevent-1.2.2.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/gevent-1.2.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/gevent/libev/__init__.py
/usr/lib/python2.7/dist-packages/gevent/libev/_corecffi_build.py
/usr/lib/python2.7/dist-packages/gevent/libev/corecext.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/gevent/libev/corecffi.py
/usr/share/doc/python-gevent/README.rst.gz
/usr/share/doc/python-gevent/TODO
/usr/share/doc/python-gevent/changelog.Debian.gz
/usr/share/doc/python-gevent/copyright

Changelog

2017-09-26 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.2.2-2) unstable; urgency=medium
* Install libev submodule (closes: #876814).
* Update packaging.
2017-09-24 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.2.2-1) unstable; urgency=low
* New upstream release.
* Add python-setuptools and cython Python variants to build depends.
* Add cython-dbg to build depends to prevent FTBFS.
* Add python3-sphinx build dependency.
* Make package priority optional to match override.
* Update Standards-Version to 4.1.0 .
2016-11-26 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.1.2-1) unstable; urgency=low
* New upstream release.
* Remove more Twitter privacy breaches from documentation.
2016-07-16 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.1.1-2) unstable; urgency=low
* Fix FTBFS with Sphinx 1.4+ (closes: #829414).
* Add libev and c-ares devel packages to build depends.
2016-04-27 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.1.1-1) unstable; urgency=low
* New upstream release.
* Update Standards-Version to 3.9.8 .
2016-03-09 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.1.0-2) unstable; urgency=low
* Only alter documentation when it's built (closes: #817274).
2016-03-08 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.1.0-1) unstable; urgency=low
* New upstream release (closes: #816972).
* Build Python 3 packages (closes: #661510, #793809).
* Remove patches that no longer needed.
* Keep rebuildable.
* Use X-Python-Version instead of pyversions.
* Update Standards-Version to 3.9.7 .
* Sync with Ubuntu.
[ Matthias Klose <doko@ubuntu.com> ]
* Remove the python3 compat files in python-gevent.
* Remove the python2 compat files in python3-gevent.
2014-12-13 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.0.1-2) unstable; urgency=medium
* Add dh-python to Build-Depends.
[ Jan Gerber <j@mailb.org> ]
* Use PROTOCOL_SSLv23 instead of PROTOCOL_SSLv3 (closes: #770616).
2014-10-08 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.0.1-1) unstable; urgency=low
* New upstream release, fixes thread switch detection (closes: #694750).
* Fix sphinx build problem (closes: #700731).
* Tighten greenlet dependency (closes: #747283).
* Update Standards-Version to 3.9.6 .
* Sync with Ubuntu.
[ Matthias Klose <doko@ubuntu.com> ]
* Fix build failure with python2.7 and PEP 466 (closes: #764499).
2014-04-26 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
python-gevent (1.0-2) unstable; urgency=low
* Sync with Ubuntu, thanks to Sebastian Ramacher for the heads-up.
[ Matthias Klose <doko@ubuntu.com> ]
* Fix build failure on arm64 (closes: #738750).

See Also

Package Description
python-gflags_1.5.1-5_all.deb implementation of the Google command line flags module - Python 2.x
python-ghost_0.2.3-1_all.deb webkit web client library
python-gi-cairo_3.26.1-2_i386.deb Python Cairo bindings for the GObject library
python-ginga_2.7.0-2_all.deb Astronomical image toolkit for Python 2
python-git-doc_2.1.8-1_all.deb Python library to interact with Git repositories - docs
python-git-os-job_1.0.1-2_all.deb show the OpenStack job logs for a commit - Python 2.7
python-git_2.1.8-1_all.deb Python library to interact with Git repositories - Python 2.7
python-gitdb_2.0.3-1_all.deb pure-Python git object database (Python 2)
python-github_1.26.0-1_all.deb Access to full Github API v3 from Python2
python-gitlab-doc_1.3.0-2_all.deb Python 3 GitLab API client library - documentation
python-gitlab_1.3.0-2_all.deb Python GitLab API client library
python-glade2_2.24.0-5.1ubuntu2_i386.deb GTK+ bindings: Glade support
python-glare_0.4.1-3ubuntu1_all.deb OpenStack Artifact Repository - Python 2.7 library
python-glareclient-doc_0.5.2-0ubuntu1_all.deb Client library for Openstack glare server - doc
python-glareclient_0.5.2-0ubuntu1_all.deb Client library for Openstack glare server - Python 2.x
Advertisement
Advertisement